let config = {
  plugins: [
    'Character1',
    'Character2',
    'Dice',
    'InstantAnswer',
    'Kernel',
    'Twitter',
    'Url',
    'Weather',
    'Youtube',
    'Joke',
    'Mastodon',
    'Users',
    'Pvm'
  ],
  cron: [{
    cron: '1 0 * * *',
    command: '.pvm'
  }],
  irc: {
    connect: true,
    server: 'irc.example.com',
    nick: 'My bot',
    channels: ['#botdev']
  },
  members: {
    'lanxu': {
      user: /lanxu$/,
      host: /^(.*)example\.com$/
    }
  },
  owmCityIds: {
    Tampere: 634963,
    Helsinki: 658225
  },
  keys: {
    twitter: {
      consumerKey: '',
      consumerSecret: ''
    },
    google: {
      apiKey: ''
    },
    owm: {
      apiKey: ''
    }
  }
}

module.exports = config
