var request = require('request');
var Promise = require('promise');

function RequestPromise(url, urlArgs, headers, json) {
  if(typeof headers === 'undefined') {
    headers = {};
  }

  if(typeof json === 'undefined') {
    json = false;
  }

  var promise = new Promise(function(resolve, reject) {
    request({
      url: url,
      qs: urlArgs,
      headers: headers,
      json: json
    }, function(error, response, body) {
      if(!error && response.statusCode == 200) {
        if (json === false) {
          resolve(JSON.parse(body)); /// wtf
        } else {
          resolve(body)
        }
      } else {
        reject(error);
      }
    });
  });
  return promise;
}

module.exports = RequestPromise;
