var Promise = require('promise');
var requestPromise = require('./helpers/requestPromise.js');
var BasePlugin = require('./base.js');
var logger = require('winston');

class Users extends BasePlugin {
  constructor(config) {
    super(config);
    this.name = 'Users';
  }

  test(input) {
    var res = null;
    if (res = input.match(/.*/i)) {
      return true;
    }
    return false;
  }

  result(input) {
    // Different cases
    let info = '';
    info += 'Hei! Olen ' + this.config.irc.nick + '!' + '\n';
    info += 'Tarjoan yksityisviestien kautta ominaisuuksia!' + '\n';
    info += 'Voidaksesi käyttää niitä, sinun on rekisteröidyttävä lähettämällä viesti \".rekisteröi\".';
    return info;
  }

}

module.exports = Users;
